# Pulse Program Executor

## Installation

Run the following command in a terminal:

`pip install pulse-executor -i https://pip.rozum.com/simple`

## Usage

This library must be used to control the execution of programs generated by
[pulse-program-template](https://dev.rozum.com/rozum-soft/utils/pulse-program-template)
and uploaded to the sandbox in Pulse Controlbox.

In order to start/stop program execution (for example, from pulse-program-player), 
the following steps must be performed:

1. Connect to the sandbox on the controlbox
2. Activate the virtual environment that is created for the program:
`source /home/sandbox/player/{{project_name}}/venv/bin/activate`
3. Define address of Robot that will be used to execute Program
`export ROBOT_ADDRESS="localhost:8081"`
4. Execute:
`pulse-executor-run {{program_name}}`
5. To stop the program and execute the `after_all()` step the following command:
`source /home/sandbox/player/{{project_name}}/venv/bin/activate && pulse-executor-stop && deactivate`
